Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# DSA Struct Reference

`#include <gfpcrypt.h>`

Inheritance diagram for DSA:

List of all members.

## Detailed Description

DSA

Definition at line 389 of file gfpcrypt.h.

## Public Types
enum | { MIN_PRIME_LENGTH = 1024, MAX_PRIME_LENGTH = 1024, PRIME_LENGTH_MULTIPLE = 64 }
typedef PK_FinalTemplate< PK_SignerImpl< DL_DigestSignerImpl< SchemeOptions >, SHA > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< PK_VerifierImpl< DL_DigestVerifierImpl< SchemeOptions >, SHA > > | Verifier
| implements PK_Verifier interface
typedef DL_PublicKey_GFP< DL_GroupParameters_DSA > | PublicKey
typedef DL_PrivateKey_WithSignaturePairwiseConsistencyTest< DL_PrivateKey_GFP< DL_GroupParameters_DSA >, DSA > | PrivateKey
## Static Public Member Functions
std::string | StaticAlgorithmName ()
bool | GeneratePrimes (const byte *seed, unsigned int seedLength, int &counter, Integer &p, unsigned int primeLength, Integer &q, bool useInputCounterValue=false)
| Generate DSA primes according to NIST standard.
bool | IsValidPrimeLength (unsigned int pbits)

## Member Function Documentation

bool DSA::GeneratePrimes | ( | const byte * | seed,
|  | unsigned int | seedLength,
|  | int & | counter,
|  | Integer & | p,
|  | unsigned int | primeLength,
|  | Integer & | q,
|  | bool | useInputCounterValue = false
| ) | `[static]`

| Generate DSA primes according to NIST standard. Both seedLength and primeLength are in bits, but seedLength should be a multiple of 8. If useInputCounterValue == true, the counter parameter is taken as input, otherwise it's used for output Definition at line 61 of file dsa.cpp. References HashTransformation::CalculateDigest(), Integer::Decode(), and Integer::GetBit(). Referenced by DL_GroupParameters_DSA::GenerateRandom().

The documentation for this struct was generated from the following files:

- gfpcrypt.h
- dsa.cpp